<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>

    </style>
</head>

<body>
    <nav>
        <div>red</div>
        <div>blue</div>
        <div>red</div>
        <div>white</div>
        <div>red</div>
        <div>green</div>
        <div>orange</div>
        <div>red</div>
        <div>nada</div>
        <div>red</div>
        <div>blue</div>
    </nav>
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"
        integrity="sha256-oP6HI9z1XaZNBrJURtCoUT5SUnxFr8s3BzRl+cbzUq8=" crossorigin="anonymous"></script>
    <script>
        // Con each iteramos cada div
        $('div').each(function (indice, valor) {
            // Si es blanco devolvemos true
            if (valor.innerHTML == "white") {
                return true; // es como poner continue para que salte y siga al siguiente
            } else if (valor.innerHTML == 'nada') {
                return false; // es como exit para que termine el programa
            }
            // Con this seleccionas el elemento en cada iteraccion 
            $(this).css("color", valor.innerHTML);


        });


    </script>

</body>


</html>